Package Details: python-voila 0.5.7-1

Git Clone URL: https://aur.archlinux.org/python-voila.git (read-only, click to copy)
Package Base: python-voila
Description: Voilà turns Jupyter notebooks into standalone web applications
Upstream URL: https://github.com/voila-dashboards/voila
Licenses: BSD-3-Clause
Submitter: AchmadFathoni
Maintainer: AchmadFathoni (lahwaacz)
Last Packager: lahwaacz
Votes: 0
Popularity: 0.000000
First Submitted: 2022-03-26 12:27 (UTC)
Last Updated: 2024-05-24 20:52 (UTC)

Latest Comments

AchmadFathoni commented on 2023-06-29 03:12 (UTC)

Noted

lahwaacz commented on 2023-06-28 16:22 (UTC)

@AchmadFathoni It's not a problem of 0.4.1, building 0.4.0 fails due to the same problem.

AchmadFathoni commented on 2023-06-28 15:27 (UTC)

Need co-maintainer for faster development response

AchmadFathoni commented on 2023-06-28 15:20 (UTC)

I reverted it back to 0.4.0 until we sure what to do with this build tool migration

lahwaacz commented on 2023-06-28 13:23 (UTC) (edited on 2023-06-28 13:24 (UTC) by lahwaacz)

I got it to build with the following PKGBUILD:

# Maintainer: Achmad Fathoni<fathoni.id(at)gmail.com>
pkgname=python-voila
_pkgname=${pkgname:7}
pkgver=0.4.1
pkgrel=1
pkgdesc="Voilà turns Jupyter notebooks into standalone web applications"
arch=('any')
url="https://voila.readthedocs.io"
license=(BSD)
makedepends=(python-build python-installer python-wheel python-jupyter_packaging)
depends=(
    python
    jupyter-server
    python-jupyterlab_server
    python-jupyter_client
    jupyter-nbclient
    jupyter-nbconvert
    jupyterlab
    jupyter-notebook
    jupyter-lsp
    python-websockets
    python-traitlets
    python-hatchling
    python-tinycss2
)
makedepends+=(
    python-fqdn
    python-webcolors
    python-isoduration
    python-jsonpointer
    python-uri-template
    python-rfc3339-validator
    python-rfc3986-validator
    python-jupyter-server-terminals
    python-hatch-jupyter-builder
    python-debugpy
)
source=(https://files.pythonhosted.org/packages/source/${_pkgname::1}/$_pkgname/$_pkgname-$pkgver.tar.gz)
sha256sums=('271e03cb8a9f7f92ab00edcaf6cc3a004c54ac64e1845a146fc6a67d374c3339')

prepare() {
    cd ${srcdir}/${_pkgname}-${pkgver}
    sed -i 's|jupyterlab~=3.0|jupyterlab>=3.0|g' pyproject.toml
}

build() {
    cd ${srcdir}/${_pkgname}-${pkgver}
    python -m build --wheel --no-isolation
}

package() {
    cd ${srcdir}/${_pkgname}-${pkgver}
    python -m installer --destdir="$pkgdir" dist/*.whl
}

Not sure about all the makedepends though...

lahwaacz commented on 2023-06-28 12:36 (UTC)

The package does not build:

==> Starting build()...
validate_pyproject.api.load_builtin_plugin defines `tool.distutils` schema
validate_pyproject.api.load_builtin_plugin defines `tool.setuptools` schema
error: Multiple top-level packages discovered in a flat-layout: ['etc', 'share', 'voila', 'notebooks'].

To avoid accidental inclusion of unwanted files or directories,
setuptools will not proceed with this build.

If you are trying to create a single distribution with multiple packages
on purpose, you should not rely on automatic discovery.
Instead, consider the following options:

1. set up custom discovery (`find` directive with `include` or `exclude`)
2. use a `src-layout`
3. explicitly set `py_modules` or `packages` with a list of names

To find more information, look for "package discovery" on setuptools docs.
==> ERROR: A failure occurred in build().
    Aborting...

It has python-build python-installer in makedepends, but still uses setuptools instead - why?

AchmadFathoni commented on 2023-02-01 02:49 (UTC)

Need co-maintainer for faster development response.

Eothred commented on 2023-01-26 07:24 (UTC)

Thanks for preparing the package build!

Version 0.4.0 out.

It seems the project page is broken, I believe it should be https://pypi.org/project/voila/ if you want to use pypi, but maybe a better url could be https://voila.readthedocs.io/ ?